Subject: Job Announcement

From: [email-masked]
Date: Sun, 23 Feb 1997 11:26:52 EST

Position for an experienced organic gardener available at Tree of Life
Rejuvenation Center.  Experience needed in organic food production in
high desert Southwest landscape, permaculture concepts, fruit orchard
development, and teaching of interns.  Vegetarian and spiritual lifestyle
in a health provider community on 166 permaculture-designed acres on a
mesa in the Patagonia mountains at 4,100 feet.  Please send resume,
letter of interest, and photo to: Gabriel Cousens, M.D. Tree of Life
Rejuvenation Center, P O Box 1080, Patagonia, AZ 85624.  Call
520-394-2060 for further information.